コンテンツへスキップ

Subscriptions API (2.0)

概要

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

このAPIリファレンスでは、サブスクリプション、クーポン、およびプロモーションを管理するためのエンドポイントについて説明します。 サブスクリプションの詳細については、製品ガイドおよび用語集を参照してください。

OpenAPI記述をダウンロード
言語
サーバー
Mock server
https://xsolla.redocly.app/_mock/ja/api/subscriptions/
操作
操作
操作

Subscription management

操作
操作

プロモーション

操作
操作

Subscription management

操作

Cancel subscription

リクエスト

セキュリティ
subscriptionsManagementJwtAuth
パス
subscription_idinteger\d+必須
project_idinteger\d+必須
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

Make subscription non-renewable

ボディapplication/json
レスポンス
application/json
null

Get payment account

リクエスト

セキュリティ
subscriptionsManagementJwtAuth
パス
subscription_idinteger\d+必須
project_idinteger\d+必須
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

Get payment account info

ボディapplication/json
card_expiry_dateobject or null
idinteger必須
例: "123"
namestring or null
例: "** 7398"
ps_namestring or null
例: "Mastercard"
switch_icon_namestring or null
例: "mastercard.svg"
typestring必須
例: "card"
レスポンス
application/json
{ "card_expiry_date": { "month": "09", "year": "2023" }, "id": "123", "name": "** 7398", "ps_name": "Mastercard", "switch_icon_name": "mastercard.svg", "type": "card" }